export declare class AttachmentNativeBinding {
  set partId(prtId: string);
  get data(): Buffer;
  set data(val: Buffer);
  get decodedString(): string;
  get filename(): string;
  set filename(val: string);
  get mimeType(): string;
  set mimeType(val: string);
  get charset(): string;
  set charset(val: string);
  get uniqeID(): string;
  set uniqeID(val: string);
  get contentID(): string;
  set contentID(val: string);
  get contentLocation(): string;
  set contentLocation(val: string);
  get contentDescription(): string;
  set contentDescription(val: string);
}

export declare interface AttachmentNativeBindingObject {
  new(bufData?: Buffer, fileName?: string): AttachmentNativeBinding
  strError(errorCode: number): string
}
